/* Simple authd authentication test program 
 * Compile with:
 * gcc  -O -Wall -D_REENTRANT -g  -o testclient testclient.c -I. -L. -lauth -lpthread -lssl -le
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <signal.h>
#include <errno.h>
#include <unistd.h>
#include <getopt.h>
#include <fcntl.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <netinet/tcp.h>
#include <sys/types.h>
#include <sys/un.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <pthread.h>
#include <semaphore.h>
#include <openssl/rsa.h>
#include <openssl/pem.h>
#include <openssl/err.h>
#include <e/e_error.h>
#include <e/net.h>
#include "auth.h"
#include "authd.h"
#include "authd_options.h"


int main(int argc, char **argv)
{
    credentials creds;
    signature creds_sig;
    auth_init_credentials (&creds,10); 
    if (auth_get_signature(&creds, &creds_sig) != AUTH_OK) {
        fprintf(stderr, "Could not obtain signature from authd on localhost\n");
        return -1;
    }
printf("auth_verify_signature returns %d.\n",auth_verify_signature (&creds, &creds_sig));
    return 0;
}
